import { StiChangesInterceptor, StiSetProperty } from "./interfaces";
import StiJson from "./StiJson";
export declare class Font implements StiSetProperty {
    changesInterceptor?: StiChangesInterceptor;
    private fontSizeScale;
    _family: string;
    _size: number;
    private _style;
    isChanged: boolean;
    constructor(family?: string, size?: number, style?: string[], changesInterceptor?: StiChangesInterceptor);
    setProperty(propName: string, value: any): void;
    set style(value: string[]);
    get cloneStyle(): string[];
    get style(): string[];
    resetChanged(): void;
    get family(): string;
    set family(value: string);
    get size(): number;
    set size(value: number);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    isBold(): boolean;
    isItalic(): boolean;
    isUnderline(): boolean;
    htmlStyle(): string;
    equals(font: Font): boolean;
    clone(): Font;
}
